cURL
curl --request POST \
--url https://grid.squads.xyz/api/grid/v1/accounts/{address}/passkeys/transaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"passkey": {
"address": "<string>",
"permissions": [],
"role": "<string>"
},
"transaction_signers": [
"<string>"
]
}
'import requests
url = "https://grid.squads.xyz/api/grid/v1/accounts/{address}/passkeys/transaction"
payload = {
"passkey": {
"address": "<string>",
"permissions": [],
"role": "<string>"
},
"transaction_signers": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
passkey: {address: '<string>', permissions: [], role: '<string>'},
transaction_signers: ['<string>']
})
};
fetch('https://grid.squads.xyz/api/grid/v1/accounts/{address}/passkeys/transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"expires_at": "2023-11-07T05:31:56Z",
"passkey": {
"address": "<string>",
"permissions": [],
"provider": "<string>",
"role": "<string>"
},
"status": "<string>",
"threshold": 1,
"transaction": "<string>"
},
"metadata": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}passkeys
Post apigridv1accounts passkeystransaction
POST
/
api
/
grid
/
v1
/
accounts
/
{address}
/
passkeys
/
transaction
cURL
Authorizations
Your Grid API key from the Grid Dashboard
Path Parameters
Smart account address (Solana public key)
Query Parameters
Whether to perform admin-level passkey addition
Was this page helpful?
⌘I